Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418936 - polkitd keeps consuming RAM
Summary: polkitd keeps consuming RAM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: polkit
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1380166
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:27 UTC by Jaroslav Reznik
Modified: 2020-04-15 15:12 UTC (History)
10 users (show)

Fixed In Version: polkit-0.112-11.el7_3
Doc Type: Bug Fix
Doc Text:
Previously, the polkit daemon (polkitd) was not able to correctly free all memory allocated during normal operation. Consequently, the memory allocated to polkitd continued to grow. When the system ran out of memory, the kernel terminated the process unexpectedly. This bug has been fixed and the polkitd now can free the memory as expected.
Clone Of: 1380166
Environment:
Last Closed: 2017-03-02 17:27:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2898921 0 None None None 2017-02-03 08:28:05 UTC
Red Hat Product Errata RHBA-2017:0392 0 normal SHIPPED_LIVE polkit bug fix update 2017-03-02 22:06:59 UTC

Description Jaroslav Reznik 2017-02-03 08:27:57 UTC
This bug has been copied from bug #1380166 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 9 errata-xmlrpc 2017-03-02 17:27:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0392.html


Note You need to log in before you can comment on or make changes to this bug.